// ResNetRegisterDlg.h : header file
//

#if !defined(AFX_RESNETREGISTERDLG_H__B05324E6_66E7_11D4_BE43_00C04F6D5428__INCLUDED_)
#define AFX_RESNETREGISTERDLG_H__B05324E6_66E7_11D4_BE43_00C04F6D5428__INCLUDED_

#include "RegSock.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define	TIMER_CHANGE_ICON	WM_USER + 500
#define TIMER_SOCK_TIMEOUT	WM_USER + 501

static int	nDefPort	= 1800;
static char	szDefIP[]	= "127.0.0.1";	// this is where you would define the server to connect to
static char szSuccess[]	= "Internet connection confirmed!\r\n\r\nYou computer is now able to access the Internet.\r\n\r\nYou may now close this program.\r\n\r\n";
static char szFailure[] = "Unable to confirm Internet connection.\r\n\r\nThis program was unable to contact the ResNet server.\r\nHowever your computer may still be able to access the Internet.\r\n\r\nYou may now close this program.";

/////////////////////////////////////////////////////////////////////////////
// CResNetRegisterDlg dialog

class CResNetRegisterDlg : public CDialog
{
// Construction
public:
	CResNetRegisterDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CResNetRegisterDlg)
	enum { IDD = IDD_RESNETREGISTER_DIALOG };
	CStatic	m_IconBox;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CResNetRegisterDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	CRegSock	m_RegSock;
	HICON		m_hIcons[10];
	int			m_IconNum;
	bool		m_IconRun,
				m_Connect;

	// Generated message map functions
	//{{AFX_MSG(CResNetRegisterDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RESNETREGISTERDLG_H__B05324E6_66E7_11D4_BE43_00C04F6D5428__INCLUDED_)
